- Home
- API Enriched
- Shape
- shape
- Peer Group Traffic Overview.
Peer Group Traffic Overview.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/reporting/peers/traffic/overview';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"2026-04-15T12:00:00Z","limit":1,"rank_by":"example","start_time":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/reporting/peers/traffic/overview \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "2026-04-15T12:00:00Z", "limit": 1, "rank_by": "example", "start_time": "2026-04-15T12:00:00Z" }'GET traffic overview.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request for Shape Bot Defense Peer Group Peer Benchmarking.
object
End time of the query period
Required: YES.
Limits the number of transactions returned in the response Optional: If not specified (with default value 0), all transactions that match the query will be returned in the response.
Rank by self or peer Required: YES.
Start time of the query period
Required: YES.
Examplegenerated
{ "end_time": "2026-04-15T12:00:00Z", "limit": 1, "rank_by": "example", "start_time": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”A successful response.
The Response contains the total and detail of the Peer Group data.
object
Configuration parameter for details
object
The Name of Item.
The count of Peer of the Item.
The Peer Percentage of the Item.
The count of Self of the item.
The Self Percentage of the Item.
The Peer Percentage of the Item.
The total number of Peer of the Item.
The Self Percentage of the Item.
The total number of Self of the item.
Examplegenerated
{ "details": [ { "name": "example", "peer_count": "example", "peer_percentage": 1, "self_count": "example", "self_percentage": 1 } ], "peer_percentage": 1, "peer_total": "example", "self_percentage": 1, "self_total": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example